Browse code

Add a new entrypoint for CI

Signed-off-by: Daniel Nephin <dnephin@docker.com>

Daniel Nephin authored on 2017/09/20 07:14:41
Showing 11 changed files
... ...
@@ -1,4 +1,4 @@
1
-.PHONY: all binary dynbinary build cross deb help init-go-pkg-cache install manpages rpm run shell test test-docker-py test-integration test-unit tgz validate win
1
+.PHONY: all binary dynbinary build cross deb help init-go-pkg-cache install manpages rpm run shell test test-docker-py test-integration test-unit validate win
2 2
 
3 3
 # set the graph driver as the current graphdriver if not set
4 4
 DOCKER_GRAPHDRIVER := $(if $(DOCKER_GRAPHDRIVER),$(DOCKER_GRAPHDRIVER),$(shell docker info 2>&1 | grep "Storage Driver" | sed 's/.*: //'))
... ...
@@ -164,9 +164,6 @@ test-integration: build ## run the integration tests
164 164
 test-unit: build ## run the unit tests
165 165
 	$(DOCKER_RUN_DOCKER) hack/test/unit
166 166
 
167
-tgz: build ## build the archives (.zip on windows and .tgz\notherwise) containing the binaries
168
-	$(DOCKER_RUN_DOCKER) hack/make.sh dynbinary binary cross tgz
169
-
170 167
 validate: build ## validate DCO, Seccomp profile generation, gofmt,\n./pkg/ isolation, golint, tests, tomls, go vet and vendor
171 168
 	$(DOCKER_RUN_DOCKER) hack/validate/all
172 169
 
... ...
@@ -140,10 +140,7 @@ func (daemon *Daemon) StoreHosts(hosts []string) {
140 140
 
141 141
 // HasExperimental returns whether the experimental features of the daemon are enabled or not
142 142
 func (daemon *Daemon) HasExperimental() bool {
143
-	if daemon.configStore != nil && daemon.configStore.Experimental {
144
-		return true
145
-	}
146
-	return false
143
+	return daemon.configStore != nil && daemon.configStore.Experimental
147 144
 }
148 145
 
149 146
 func (daemon *Daemon) restore() error {
150 147
new file mode 100755
... ...
@@ -0,0 +1,10 @@
0
+#!/usr/bin/env bash
1
+# Entrypoint for jenkins arm CI build
2
+set -eu -o pipefail
3
+
4
+hack/test/unit
5
+
6
+hack/make.sh \
7
+	binary-daemon \
8
+	dynbinary \
9
+	test-integration
0 10
new file mode 100755
... ...
@@ -0,0 +1,9 @@
0
+#!/usr/bin/env bash
1
+# Entrypoint for jenkins experimental CI
2
+set -eu -o pipefail
3
+
4
+export DOCKER_EXPERIMENTAL=y
5
+
6
+hack/make.sh \
7
+	binary-daemon \
8
+	test-integration
0 9
new file mode 100755
... ...
@@ -0,0 +1,13 @@
0
+#!/usr/bin/env bash
1
+# Entrypoint for jenkins janky CI build
2
+set -eu -o pipefail
3
+
4
+hack/validate/default
5
+hack/test/unit
6
+
7
+hack/make.sh \
8
+	binary-daemon \
9
+	dynbinary \
10
+	test-integration \
11
+	test-docker-py \
12
+	cross
0 13
new file mode 100755
... ...
@@ -0,0 +1,6 @@
0
+#!/usr/bin/env bash
1
+# Entrypoint for jenkins powerpc CI build
2
+set -eu -o pipefail
3
+
4
+hack/test/unit
5
+hack/make.sh dynbinary test-integration
0 6
new file mode 100755
... ...
@@ -0,0 +1,6 @@
0
+#!/usr/bin/env bash
1
+# Entrypoint for jenkins s390x (z) CI build
2
+set -eu -o pipefail
3
+
4
+hack/test/unit
5
+hack/make.sh dynbinary test-integration
... ...
@@ -59,12 +59,10 @@ DEFAULT_BUNDLES=(
59 59
 	binary-daemon
60 60
 	dynbinary
61 61
 
62
-	test-unit
63 62
 	test-integration
64 63
 	test-docker-py
65 64
 
66 65
 	cross
67
-	tgz
68 66
 )
69 67
 
70 68
 VERSION=${VERSION:-$(< ./VERSION)}
71 69
deleted file mode 100644
... ...
@@ -1,6 +0,0 @@
1
-#!/usr/bin/env bash
2
-set -e
3
-
4
-echo "DEPRECATED: use hack/test/unit instead of hack/make.sh test-unit" >&2
5
-
6
-$SCRIPTDIR/test/unit 2>&1 | tee -a "$DEST/test.log"
7 1
deleted file mode 100644
... ...
@@ -1,2 +0,0 @@
1
-#!/usr/bin/env bash
2
-echo "tgz is deprecated"
... ...
@@ -56,10 +56,6 @@ func ExperimentalDaemon() bool {
56 56
 	return testEnv.DaemonInfo.ExperimentalBuild
57 57
 }
58 58
 
59
-func NotExperimentalDaemon() bool {
60
-	return !testEnv.DaemonInfo.ExperimentalBuild
61
-}
62
-
63 59
 func IsAmd64() bool {
64 60
 	return os.Getenv("DOCKER_ENGINE_GOARCH") == "amd64"
65 61
 }